function popularEditarMSG(id,mensagem,tema) {
    document.getElementById("id_esc").value = id;
    document.getElementById("mensagem_edt").value = mensagem;
    document.getElementById("tema_edt").value = tema;
}
function popularDeletMSG(id) {
    document.getElementById("id_esc_del").value = id;
}
// estilos

function popularEditarESTILOS(id,titulo,desc,ext) {
    document.getElementById("id_esc").value = id;
    document.getElementById("titulo_edt").value = titulo;
    document.getElementById("desc_edt").value = desc;
    document.getElementById("ext_edt").value = ext;
}
function popularDeletESTILOS(id,ext) {
    document.getElementById("id_esc_del").value = id;
    document.getElementById("ext_edt_del").value = ext;

}

// PAPEIS

function popularEditarPAPEL(id,titulo,desc,estilo,ext) {
    document.getElementById("id_esc").value = id;
    document.getElementById("titulo_edt").value = titulo;
    document.getElementById("desc_edt").value = desc;
    document.getElementById("ext_edt").value = ext;
    
    document.getElementById('estilo_id_edt').value = estilo;

    
    document.getElementById(x).selected;
}
function popularDeletPAPEL(id,ext) {
    document.getElementById("id_esc_del").value = id;
    document.getElementById("ext_edt_del").value = ext;

}

// CLIENTES

function popularEditarCLI(id) {

    var cod = 'c4';
    $.ajax({
        url: "backend/config/processos/processos.php",
        type: "POST",
        data: {id,cod},
        dataType: 'json', 
        error: function(jqXHR, textStatus, errorThrown) {
            console.log('jqXHR: \n'+jqXHR);
            console.log('textStatus: \n'+textStatus);
            console.log('errorThrown: \n'+errorThrown);
        },
        success: function(retorno){
            
           //  var stringified = JSON.stringify(retorno);
            var m = JSON.parse(JSON.stringify(retorno))            
            console.log(m[0]['nome']);
            if (retorno) {
                
                document.getElementById("id_esc").value = m[0]['cliente_id'];
                document.getElementById("nome_edt").value = m[0]['nome'];
                document.getElementById("sobrenome_edt").value = m[0]['sobrenome'];
                document.getElementById("email_edt").value = m[0]['email'];
                document.getElementById("what_edt").value = m[0]['whatsap'];
                document.getElementById("insta_edt").value = m[0]['instagram'];
                document.getElementById("face_edt").value = m[0]['facebook'];
                document.getElementById("cep_edt").value = m[0]['cep'];
                document.getElementById("est_edt").value = m[0]['estado'];
                document.getElementById("cid_edt").value = m[0]['cidade'];
                document.getElementById("bai_edt").value = m[0]['bairro'];
                document.getElementById("logradouro_edt").value = m[0]['logradouro'];
                document.getElementById("num_edt").value = m[0]['numero'];
                document.getElementById("compl_edt").value = m[0]['complemento'];
                
            }else{  } /**/         
        }
    });
    
    
    
    
}

function popularEditarStatus(quant,status,id) {

    var cod = 'status_popular';
    $.ajax({
        url: "backend/config/processos/processos.php",
        type: "POST",
        data: {cod},
        dataType: 'json', 
        error: function(jqXHR, textStatus, errorThrown) {
            console.log('jqXHR: \n'+jqXHR);
            console.log('textStatus: \n'+textStatus);
            console.log('errorThrown: \n'+errorThrown);
        },
        success: function(retorno){
            var myelement = "";
           //  var stringified = JSON.stringify(retorno);
            document.getElementById("id_esc_st").value = id;
            document.getElementById("unidade_status").value = quant;
                myelement += "<select class='form-control' id='status_st' name='status_st'>";
            $.each(JSON.parse(JSON.stringify(retorno)), function( p, item ){
                if(item.id == status){
                    myelement += "<option value='"+item.id+"' selected>"+item.titulo+"</option>";
                }else{
                    myelement += "<option value='"+item.id+"'>"+item.titulo+"</option>";
                }
            });
                myelement += "</select>";
            
            $("#respstatus").html(myelement).fadeIn("slow");	
        }
    });
}

function fMasc(objeto,mascara) {
    obj=objeto
    masc=mascara
    setTimeout("fMascEx()",1)
}
function fMascEx() {
    obj.value=masc(obj.value)
}
function mCEP(cep){
    cep=cep.replace(/\D/g,"")
    cep=cep.replace(/^(\d{2})(\d)/,"$1.$2")
    cep=cep.replace(/\.(\d{3})(\d)/,".$1-$2")
    return cep
}
function mTel(tel) {
    tel=tel.replace(/\D/g,"")
    tel=tel.replace(/^(\d)/,"($1")
    tel=tel.replace(/(.{3})(\d)/,"$1)$2")
    if(tel.length == 9) {
        tel=tel.replace(/(.{1})$/,"-$1")
    } else if (tel.length == 10) {
        tel=tel.replace(/(.{2})$/,"-$1")
    } else if (tel.length == 11) {
        tel=tel.replace(/(.{3})$/,"-$1")
    } else if (tel.length == 12) {
        tel=tel.replace(/(.{4})$/,"-$1")
    } else if (tel.length > 12) {
        tel=tel.replace(/(.{4})$/,"-$1")
    }
    return tel;
}
function mCPF(cpf){
    cpf=cpf.replace(/\D/g,"")
    cpf=cpf.replace(/(\d{3})(\d)/,"$1.$2")
    cpf=cpf.replace(/(\d{3})(\d)/,"$1.$2")
    cpf=cpf.replace(/(\d{3})(\d{1,2})$/,"$1-$2")
    return cpf
}
function mCNPJ(cnpj){
    cnpj=cnpj.replace(/\D/g,"")
    cnpj=cnpj.replace(/^(\d{2})(\d)/,"$1.$2")
    cnpj=cnpj.replace(/^(\d{2})\.(\d{3})(\d)/,"$1.$2.$3")
    cnpj=cnpj.replace(/\.(\d{3})(\d)/,".$1/$2")
    cnpj=cnpj.replace(/(\d{4})(\d)/,"$1-$2")
    return cnpj
}

function buscar_cep(cep){
    
    var cep = cep.replace(".", "");
        cep = cep.replace("-", "");
    
    $.ajax({
        url: "http://viacep.com.br/ws/"+cep+"/json/",
        type: "GET",
        dataType: 'json',
        processData: false,  
        contentType: false,
        beforeSend: function(){
            $("#st-cep").text("Carregando...");
        },   
        error: function(jqXHR, textStatus, errorThrown) {
            console.log('jqXHR: \n'+jqXHR);
            console.log('textStatus: \n'+textStatus);
            console.log('errorThrown: \n'+errorThrown);
            
            $("#st-cep").css("color", "#e54d1b");
            $("#st-cep").text("CEP Invalído!");
        },
        success: function(retorno){
            $("#st-cep").css("color", "#31b76d");
            $("#st-cep").text("Busca concluída.");
            if (retorno) {
                $("#est").val(retorno.uf);
                $("#cid").val(retorno.localidade);
                $("#bai").val(retorno.bairro);
                $("#compl").val(retorno.complemento);
                $("#logradouro").val(retorno.logradouro);
                console.log("DENTRO");
            }else{
                console.log("FORA");
            }
        }
    });
}

function mudar_button(cod,st,name,pss){
    $("#st-title").text(name);
    $("#btt-status").attr("onclick", "mudar_status('"+cod+"','"+st+"','"+pss+"');");
}
//
function mudar_status (id,status,cod) {
    $.ajax({
        url: "backend/config/processos/processos.php",
        type: "POST",
        data: {id,cod,status},
        dataType: 'json', 
        error: function(jqXHR, textStatus, errorThrown) {
            console.log('jqXHR: \n'+jqXHR);
            console.log('textStatus: \n'+textStatus);
            console.log('errorThrown: \n'+errorThrown);
        },
        success: function(retorno){
            // console.log(retorno);
            if (retorno == true) {
                localStorage.setItem("status", "success");
                localStorage.setItem("msg", "ativa");
                localStorage.setItem("texto", "Ação realizada com sucesso!");
                
                window.location.reload();
            }else{
                localStorage.setItem("status", "danger");
                localStorage.setItem("msg", "ativa");
                localStorage.setItem("texto", "Falha ao executar ação!");				
                window.location.reload();
            }
        }
    });
}

